#language: ru

@ignore
@fzp
@exportscenarios

Функционал: Экспортные сценарии

Сценарий: Я проверяю движения ФЗП по макету "ИмяМакета"

	Когда я нажимаю на кнопку 'Движения документа'
	Тогда я жду открытия окна 'Движения документа (Горизонтально)' в течение 20 секунд
	И я жду когда в табличном документе "ОтчетТабличныйДокумент" заполнится ячейка "R7C1" в течение 20 секунд
	Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "ИмяМакета" по шаблону
	И Я закрываю окно 'Движения документа (Горизонтально)'

Сценарий: Я подставляю контрагенту "ИмяКонтрагента" группу планирования "ИмяГруппы" ОСГ "ОСГ" пользователя "ИмяПользователя"

	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Контрагенты'
	Тогда я жду открытия окна 'Контрагенты' в течение 20 секунд
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| "ИмяКонтрагента" |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно "* (Контрагент)"
	И я перехожу к закладке с именем "Страница_Планирование"
	И из выпадающего списка "Группа планирования" я выбираю по строке "ИмяГруппы"
	И в поле 'Разрешенный % ОСГ' я ввожу текст "ОСГ"
	И из выпадающего списка "Основной менеджер" я выбираю по строке "ИмяПользователя"
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна "* (Контрагент) *" в течение 20 секунд
	Тогда я жду открытия окна 'Контрагенты' в течение 20 секунд
	И Я закрываю окно 'Контрагенты'

Сценарий: Я создаю правила расчета отгрузок по заказам "НаименованиеПравила" с учетом предварительных заказов

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Правила расчета отгрузок'
	Тогда я жду открытия окна 'Правила расчета отгрузок' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Правила расчета отгрузок (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "НаименованиеПравила"
	И я меняю значение переключателя 'Вид' на 'По заказам'
	И я устанавливаю флаг 'Учитывать предварительный заказ'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Правила расчета отгрузок (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Правила расчета отгрузок' в течение 20 секунд
	И Я закрываю окно 'Правила расчета отгрузок'
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю правила расчета отгрузок По статистике "НаименованиеПравила" без предварительных заказов с длительностью "Длительность"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Правила расчета отгрузок'
	Тогда я жду открытия окна 'Правила расчета отгрузок' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Правила расчета отгрузок (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "НаименованиеПравила"
	И я меняю значение переключателя 'Вид' на 'По статистике'
	И в поле 'Длительность периода статистики, недель' я ввожу текст "Длительность"
	И я снимаю флаг 'Учитывать предварительный заказ'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Правила расчета отгрузок (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Правила расчета отгрузок' в течение 20 секунд
	И Я закрываю окно 'Правила расчета отгрузок'
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю правила расчета отгрузок По статистике с вытеснением "НаименованиеПравила" без предварительных заказов с длительностью "Длительность"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Правила расчета отгрузок'
	Тогда я жду открытия окна 'Правила расчета отгрузок' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Правила расчета отгрузок (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "НаименованиеПравила"
	И я меняю значение переключателя 'Вид' на 'По статистике с вытеснением заказами'
	И в поле 'Длительность периода статистики, недель' я ввожу текст "Длительность"
	И я снимаю флаг 'Учитывать предварительный заказ'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Правила расчета отгрузок (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Правила расчета отгрузок' в течение 20 секунд
	И Я закрываю окно 'Правила расчета отгрузок'
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю правила расчета отгрузок По статистике "НаименованиеПравила" с учетом предварительных заказов с длительностью "Длительность"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Правила расчета отгрузок'
	Тогда я жду открытия окна 'Правила расчета отгрузок' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Правила расчета отгрузок (создание)' в течение 20 секунд
	И в поле 'Наименование' я ввожу текст "НаименованиеПравила"
	И я меняю значение переключателя 'Вид' на 'По статистике'
	И в поле 'Длительность периода статистики, недель' я ввожу текст "Длительность"
	И я устанавливаю флаг 'Учитывать предварительный заказ'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Правила расчета отгрузок (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Правила расчета отгрузок' в течение 20 секунд
	И Я закрываю окно 'Правила расчета отгрузок'
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю применение правил расчета отгрузок "ТоварнаяКатегория" "ГруппаПланирования" "ГоризонтОт" "ГоризонтДо" "Правило"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Применение правил расчета отгрузок'
	Тогда я жду открытия окна 'Применение правил расчета отгрузок' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Применение правил расчета отгрузок (создание)' в течение 20 секунд
	И из выпадающего списка "Товарная категория" я выбираю по строке "ТоварнаяКатегория"
	И из выпадающего списка "Группа планирования" я выбираю по строке "ГруппаПланирования"
	И в поле 'Горизонт планирования дней от' я ввожу текст "ГоризонтОт"
	И в поле 'Горизонт планирования дней до' я ввожу текст "ГоризонтДо"
	И из выпадающего списка "Правило расчета отгрузок" я выбираю по строке "Правило"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Применение правил расчета отгрузок (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Применение правил расчета отгрузок' в течение 20 секунд
	И Я закрываю окно 'Применение правил расчета отгрузок'
	И Я закрываю окно 'Настройки планирования'

Сценарий: Я создаю связь "ИмяНоменклатуры" с базовым продуктом "ИмяБазовогоПродукта"

	И В командном интерфейсе я выбираю 'Планирование' 'Настройки планирования'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И я нажимаю на кнопку 'Базовые продукты готовой продукции'
	Тогда я жду открытия окна 'Базовые продукты готовой продукции' в течение 20 секунд
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда я жду открытия окна 'Базовые продукты готовой продукции (создание)' в течение 20 секунд
	И из выпадающего списка "Номенклатура" я выбираю по строке "ИмяНоменклатуры"
	И из выпадающего списка "Базовый продукт" я выбираю по строке "ИмяБазовогоПродукта"
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Базовые продукты готовой продукции (создание) *' в течение 20 секунд
	Тогда я жду открытия окна 'Базовые продукты готовой продукции' в течение 20 секунд
	И Я закрываю окно 'Базовые продукты готовой продукции'
	Тогда я жду открытия окна 'Настройки планирования' в течение 20 секунд
	И Я закрываю окно 'Настройки планирования'